#![allow(non_snake_case)]

use yew::prelude::*;
use yewdux::prelude::*;

use crate::components::states::MainState;

type NoParamsCallback = Box<dyn Fn(())>;

pub fn toggle_in_transfer_hashes_callback(
    main_dispatch: Dispatch<MainState>,
) -> Callback<web_sys::MouseEvent> {
    let main_dispatch = main_dispatch.clone();
    Callback::from(move |_| {
        main_dispatch.reduce_mut(|state| {
            state.preferences.in_transfer_hashes ^= true;
        })
    })
}

pub fn toggle_volume_heatmap_callback(
    main_dispatch: Dispatch<MainState>,
) -> Callback<web_sys::MouseEvent> {
    let main_dispatch = main_dispatch.clone();
    Callback::from(move |_| {
        main_dispatch.reduce_mut(|state| {
            state.preferences.volume_heatmap ^= true;
        })
    })
}
